/*
#########################################################################
#
#  This file is part of trustyRC.
#
#  trustyRC, fully modular IRC robot 
#  Copyright (C) 2006-2008 Nicoleau Fabien 
#
#  trustyRC is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  trustyRC is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with trustyRC.  If not, see <http://www.gnu.org/licenses/>.
#
#########################################################################
*/

/** @file ctcp.h
 * @brief CTCP header file
 */

#ifndef CTCP_H
#define CTCP_H
#include "../plugin.h"
#include "../botkernel.h"
#include <iostream>
using namespace std;

/** @brief Provide CTCP Answers
 *
 * Provide CTCP Answers
 */

class CTCP : public Plugin
{
private:
public:
   /// Constructor
	CTCP(BotKernel*);
};


#endif

